Last modified: 2014-03-01 13:51:57 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33242 - Search suggestion highlighting does not respect grapheme clusters causing wrong rendering for Arabic and Indic scripts
Search suggestion highlighting does not respect grapheme clusters causing wro...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Search (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
http://ta.wikipedia.org/wiki/Special:...
: i18n
: 33548 40300 (view as bug list)
Depends on:
Blocks: 32578 41348 56295
  Show dependency treegraph
 
Reported: 2011-12-18 18:45 UTC by Srikanth Logic
Modified: 2014-03-01 13:51 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
screenshot of recent changes page (226.76 KB, image/png)
2011-12-18 18:47 UTC, sodabottle
Details
screenshot of search box dropdown list (FF5, XP SP2) (61.11 KB, image/jpeg)
2011-12-18 18:49 UTC, sodabottle
Details
a simple example of different stlings applied to Tamil cluster parts (876 bytes, text/html)
2012-09-20 16:00 UTC, Amir E. Aharoni
Details

Description Srikanth Logic 2011-12-18 18:45:03 UTC
Certain glyphs dont render properly in few places and it occurs randomly.(See attachement) Fonts are not an issue. Most of us who tested across browsers, OS have tamil fonts and a good number of them. This issue is reproducible only on wikimedia sites.

Ravi noticed this rendering bug in the search box on Ubuntu 11.10 and FF8
Bala noticed this rendering bug in the search box on Win XP SP3 and FF5,IE7
I notice this rendering bug in the RecentChanges page on Ubuntu 11.10 and Chrome 16
Comment 1 sodabottle 2011-12-18 18:47:02 UTC
Created attachment 9734 [details]
screenshot of recent changes page
Comment 2 sodabottle 2011-12-18 18:49:52 UTC
Created attachment 9735 [details]
screenshot of search box dropdown list (FF5, XP SP2)
Comment 3 Mark A. Hershberger 2011-12-21 05:24:00 UTC
this appears to be working for me now.  Could you give me the the key sequence necessary to produce a transliterated sequence that produces the screenshot in attachment 9735 [details] ?
Comment 4 sodabottle 2011-12-21 05:32:14 UTC
I am still getting the broken glyphs. The letters seen in attachment 9735 [details] are ”குவ” (can be reproduced in transliteration typing scheme by keystrokes kuva). Occurs with Narayam input scheme or external input scheme or just copypasting the text
Comment 5 Santhosh Thottingal 2011-12-21 05:57:34 UTC
(In reply to comment #3)
> this appears to be working for me now.  Could you give me the the key sequence
> necessary to produce a transliterated sequence that produces the screenshot in
> attachment 9735 [details] ?

I can confirm this as a bug in search suggestions.
To produce - In ta.wiki, select inputmethod as Tamil99, in search box, type k ,
You will get ம, and suggestions.

Here is the code for the first suggestion.
<div class="suggestions-result suggestions-result-current" rel="0"
title="மீட்டர்">
<span style="white-space: nowrap;"><span
class="highlight">ம</span>ீட்டர்</span>

</div>

To highlight ம, there is a span surrounding it, but the 'ee' vowel sign is
outside span. For Indic languages, vowel signs cannot exist independently. And
this causes the search suggestion item appears as wrongly rendered.

The solution is not straightforward - if we want to highlight the type letter,
the span should be applied to the glyph cluster and not to the letter alone. 


I am not sure if there is any easy way to do this. Browser are aware of these
rules anyway, try moving cursor over "மீட்டர்"  step by step. You cannot place
your cursor between ம and ீ .

The problem is not  limited to Tamil anyway. I am changing the bug summary.
Comment 6 Srikanth Logic 2011-12-21 06:02:23 UTC
Ah, i identified the issue in attachment 9734 [details], its something to do with font not having italic glyph. Not sure if something can be done here. Ideally must be reported to a (inactive) upstream since that font is a ASCII font.
Comment 7 Santhosh Thottingal 2011-12-21 06:04:42 UTC
(In reply to comment #0)
> I notice this rendering bug in the RecentChanges page on Ubuntu 11.10 and
> Chrome 16

I can confirm this in my Chromium 15, Debian(Unstable). As far as I can tell, this is a rendering bug in chrome/chromium  and need to be reported upstream(http://code.google.com/p/chromium/issues). And need a separate bug report here since rendering issue in search suggestion and this  are two different issues.
Comment 8 Santhosh Thottingal 2012-03-28 09:20:08 UTC
*** Bug 33548 has been marked as a duplicate of this bug. ***
Comment 9 Amir E. Aharoni 2012-09-20 15:19:31 UTC
*** Bug 40300 has been marked as a duplicate of this bug. ***
Comment 10 Aude 2012-09-20 15:27:45 UTC
this is not essential for Wikidata but willing to take this bug as a volunteer to fix on the weekend :)
Comment 11 Amir E. Aharoni 2012-09-20 16:00:18 UTC
Created attachment 11130 [details]
a simple example of different stlings applied to Tamil cluster parts

This is general rendering problem.

The behavior in Firefox is slightly less broken - in the row with the colored span it colors the whole cluster, whereas Chromium breaks it. But I'm not sure what is actually correct according to the HTML and Unicode standards.
Comment 12 Amir E. Aharoni 2012-09-20 16:03:25 UTC
Do we really need this bold font styling in the first place? If we just remove it, it will fix this bug, and nobody will complain. It will probably fix Bug 26665, too.
Comment 13 Aude 2012-09-20 16:05:29 UTC
As a workaround, I suggest a language blacklist for which autosuggestions does not use highlighting.  This can include any language that uses an Arabic script, Tamil and others. (which ones?)
Comment 14 Amir E. Aharoni 2012-09-20 16:06:25 UTC
All RTL languages, to fix (In reply to comment #13)
> As a workaround, I suggest a language blacklist for which autosuggestions does
> not use highlighting.  This can include any language that uses an Arabic
> script, Tamil and others. (which ones?)

All RTL languages, to fix Bug 26665.
Comment 15 Siddhartha Ghai 2014-03-01 13:51:57 UTC
(In reply to Aude from comment #13)
> As a workaround, I suggest a language blacklist for which autosuggestions
> does not use highlighting.  This can include any language that uses an
> Arabic script, Tamil and others. (which ones?)

Any language written in devanagari, and I suspect all other Indic scripts too.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links